# Uses of Enum Class
org.eclipse.emf.cdo.common.CDOCommonRepository.State

Packages that use CDOCommonRepository.State
Package
Description
org.eclipse.emf.cdo.common
Common concepts that are differently extended in clients and servers.
org.eclipse.emf.cdo.common.util
Common utility classes, some common interfaces and exceptions.
org.eclipse.emf.cdo.spi.server
Server service provider interfaces and useful base implementations.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOCommonRepository.State in org.eclipse.emf.cdo.common

Methods in org.eclipse.emf.cdo.common that return CDOCommonRepository.State
Modifier and Type
Method
Description
`CDOCommonRepository.State`
CDOCommonRepository.StateChangedEvent.`getNewState()`
`CDOCommonRepository.State`
CDOCommonRepository.StateChangedEvent.`getOldState()`
`CDOCommonRepository.State`
CDOCommonRepository.`getState()`
Returns the state of this repository.
`static CDOCommonRepository.State`
CDOCommonRepository.State.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CDOCommonRepository.State[]`
CDOCommonRepository.State.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of CDOCommonRepository.State in org.eclipse.emf.cdo.common.util

Methods in org.eclipse.emf.cdo.common.util that return CDOCommonRepository.State
Modifier and Type
Method
Description
`CDOCommonRepository.State`
RepositoryStateChangedEvent.`getNewState()`
`CDOCommonRepository.State`
RepositoryStateChangedEvent.`getOldState()`
Constructors in org.eclipse.emf.cdo.common.util with parameters of type CDOCommonRepository.State
Modifier
Constructor
Description
``
`RepositoryStateChangedEvent(org.eclipse.net4j.util.event.INotifier source, CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`

## Uses of CDOCommonRepository.State in org.eclipse.emf.cdo.spi.server

Methods in org.eclipse.emf.cdo.spi.server with parameters of type CDOCommonRepository.State
Modifier and Type
Method
Description
`void`
InternalSession.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Deprecated.
use `InternalSession.sendRepositoryStateNotification(org.eclipse.emf.cdo.common.CDOCommonRepository.State, org.eclipse.emf.cdo.common.CDOCommonRepository.State, CDOID)` instead
`void`
InternalSession.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
InternalSessionManager.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Deprecated.
use `InternalSessionManager.sendRepositoryStateNotification(org.eclipse.emf.cdo.common.CDOCommonRepository.State, org.eclipse.emf.cdo.common.CDOCommonRepository.State, CDOID)` instead
`void`
InternalSessionManager.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
ISessionProtocol.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Deprecated.
`void`
ISessionProtocol.`sendRepositoryStateNotification(CDOCommonRepository.State oldState, CDOCommonRepository.State newState, CDOID rootResourceID)`
`void`
InternalRepository.`setState(CDOCommonRepository.State state)`

## Uses of CDOCommonRepository.State in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOCommonRepository.State
Modifier and Type
Method
Description
`CDOCommonRepository.State`
CDOSessionProtocol.OpenSessionResult.`getRepositoryState()`
Deprecated.
As of 4.5 use `CDOSessionProtocol.OpenSessionResult.getState()`.
`CDOCommonRepository.State`
CDOSessionProtocol.OpenSessionResult.`getState()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.State
Modifier and Type
Method
Description
`void`
InternalCDOSession.`handleRepositoryStateChanged(CDOCommonRepository.State oldState, CDOCommonRepository.State newState)`
Constructors in org.eclipse.emf.spi.cdo with parameters of type CDOCommonRepository.State
Modifier
Constructor
Description
``
`OpenSessionResult(int sessionID, String userID, String repositoryUUID, CDOCommonRepository.Type repositoryType, CDOCommonRepository.State repositoryState, String storeType, Set<CDOID.ObjectType> objectIDTypes, long repositoryCreationTime, long lastUpdateTime, CDOID rootResourceID, boolean repositorySupportingAudits, boolean repositorySupportingBranches, boolean repositorySerializingCommits, boolean repositoryEnsuringReferentialIntegrity, CDOCommonRepository.IDGenerationLocation repositoryIDGenerationLocation)`
Deprecated.
As of 4.4 use `OpenSessionResult(CDODataInput, int)`.